List curated MCP adapters
import requests
url = "https://platform.ankra.app/api/v1/org/mcp-servers/catalog"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/mcp-servers/catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/mcp-servers/catalog \
--header 'Authorization: Bearer <token>'{
"adapters": [
{
"key": "<string>",
"display_name": "<string>",
"description": "<string>",
"docs_url": "<string>",
"transport": "stdio",
"url_placeholder": "<string>",
"url_default": "<string>",
"credentials": [
{
"header": "<string>",
"label": "<string>",
"secret": true,
"description": "<string>",
"value_prefix": "<string>"
}
],
"read_tool_patterns": [
"<string>"
],
"recommended_tools": [
"<string>"
]
}
]
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}MCP Servers
List curated MCP adapters
Returns the curated MCP integrations Ankra knows how to connect: each adapter’s transport, default or example URL, the credential headers it needs, and the tools it recommends. The list is built into Ankra and the same for every organisation.
GET
/
api
/
v1
/
org
/
mcp-servers
/
catalog
List curated MCP adapters
import requests
url = "https://platform.ankra.app/api/v1/org/mcp-servers/catalog"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/mcp-servers/catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/mcp-servers/catalog \
--header 'Authorization: Bearer <token>'{
"adapters": [
{
"key": "<string>",
"display_name": "<string>",
"description": "<string>",
"docs_url": "<string>",
"transport": "stdio",
"url_placeholder": "<string>",
"url_default": "<string>",
"credentials": [
{
"header": "<string>",
"label": "<string>",
"secret": true,
"description": "<string>",
"value_prefix": "<string>"
}
],
"read_tool_patterns": [
"<string>"
],
"recommended_tools": [
"<string>"
]
}
]
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}